Description

man page:

allow booting; deny booting; ignore booting;

The booting flag is used to tell dhcpd whether or not to respond to queries from a particular client. This keyword only has meaning
when it appears in a host declaration. By default, booting is allowed, but if it is disabled for a particular client, then that client will not
be able to get an address from the DHCP server.

authoritative;

The DHCP server will normally assume that the configuration information about a given network segment is not known to be correct
and is not authoritative.

Network administrators setting up authoritative DHCP servers for their networks should always write authoritative; at the top of their
configuration file to indicate that the DHCP server should send DHCPNAK messages to misconfigured clients.

update-static-leases on;
The update-static-leases flag, if enabled, causes the DHCP server to do DNS updates for clients even if those clients are being
assigned their IP address using a fixed-address statement.

use-host-decl-names on;
If the use-host-decl-names parameter is true the name provided for the host declaration will be supplied to the client as its hostname.

Related issues:
Related to octonet - Segnalazione #244: oconet isc-dhcp-server Chiuso 04/28/2017

Associated revisions

Revision b7fa1682 - 06/09/2017 01:28 PM - Elena Grandi
Add authoritative option to the dhcp server. refs: #242

History

#1 - 04/27/2017 03:16 PM - Michael Guggenberg

- Priority changed from Normale to Bassa

#2 - 04/27/2017 04:25 PM - Michael Guggenberg
- Assignee set to TRUELITE

#3 - 04/28/2017 09:18 AM - Mark Caglienzi
- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Michael Guggenberg

La richiesta del ticket non € chiara, che problema sta segnalando?

Grazie

#4 - 04/28/2017 10:26 AM - Michael Guggenberg

Segnalo proposta per ulteriori impostazioni da mettere di default per server dhcp.
Togleriei allow booting che ¢ attivo di default.
Altri opzioni: vedi man page snippsets.

#5 - 04/28/2017 11:18 AM - Elena Grandi

- Assignee changed from Michael Guggenberg to Elena Grandi

#6 - 04/28/2017 12:05 PM - Elena Grandi

- Assignee changed from Elena Grandi to Michael Guggenberg

Dopo aver sentito anche Simone
authoritative si, nessun problema, ha senso metterlo (non ci sono altri DHCP sulla rete, giusto?)

Per il resto, ci pare che abbiano senso solo nel caso in cui venga fatta configurazione lato server con dichiarazione di host, che al momento mi risulta
non venga fatta, o sbaglio?

#7 - 04/28/2017 12:14 PM - Elena Grandi

- Related to Segnalazione #244: oconet isc-dhcp-server added

#8 - 05/02/2017 08:06 AM - Michael Guggenberg

configurazione gia attiva:
/etc/dhcp/include/fixed_addresses-switches.conf

host switch1 {

hardware ethernet xx:xx:xX:xx:xx:xx;
fixed-address X.X.x.x;
ddns-hostname "switch1";

}

host switch2 {

hardware ethernet xx:xx:xX:xx:xx:xx;
fixed-address X.X.x.x;
ddns-hostname "switch2";

}

host switch3 {

hardware ethernet xx:xx:xX:xx:xx:xx;
fixed-address X.X.x.x;
ddns-hostname "switch3";

}

host switch4 {

hardware ethernet xx:xx:xX:xx:xx:xx;
fixed-address X.X.x.x;
ddns-hostname "switch4";

}

host switch5 {

hardware ethernet xx:xx:xX:xx:xx:xx;
fixed-address X.X.x.x;
ddns-hostname "switch5";

}

host switch6 {

hardware ethernet xx:xx:xX:xx:xx:xx;
fixed-address X.X.x.x;
ddns-hostname "switch6";

}

host switch-aualinfop1 {
hardware ethernet xx:xx:xX:xx:xx:xx;
fixed-address x.x.X.X;
ddns-hostname "switch-aulainfop1";
}

host switch-longon-info {

hardware ethernet xXx:xx:XX:Xx:XX:Xx;
fixed-address x.x.X.X;
ddns-hostname "switch-longon-info";

}

#9 - 05/24/2017 02:33 PM - Elena Grandi

Questa configurazione perd non arriva dal fuss-server, € una cosa custom della macchina? che macchina?
Di sicuro nel caso allow|deny|ignore booting; andrebbe messo in quel file, a seconda di come lo si vuole configurare.

Per gli altri due, ci sono dei casi d'uso per cambiare il default?

#10 - 06/09/2017 01:30 PM - Elena Grandi

Intanto ho aggiunto authoritative nella versione che c'é sul repository, arrivera nel pacchetto assieme alle prossime modifiche.
